Skip to main content

Performance

Consumer Request

Request Body required
    distributor object required

    This section will give details of intermediary (Broker, corporate Agent or Bank acting as intermediary)

    distributorID string required

    Possible values: <= 20 characters

    Distributor ID assign to each consumer by 1SB

    agentId string required

    Possible values: <= 30 characters

    agent code. Eg. PoSP code or SP code provided by insurance company.

    salesChannel string

    Possible values: <= 20 characters, [Online, Others]

    This is used by insurance companies to identify sales channel.

    channelType string

    Possible values: <= 20 characters, [B2B, B2C]

    Indicates if the transaction is B2B or B2C.

    agentType string

    Possible values: <= 20 characters, [POSP, SP, BQP]

    Indicates if the agent type is POSP ,SP or BQP.

    product object required
    productType string required

    Possible values: <= 30 characters

    This gives Line of Business or similar products put in one group. Distributor can provide generic LOB and 1SB can pick in relevant products while creating request for Manufacturer

    insuranceAndProducts object[] required

    Array to capture multiple insurance company codes and their specific product codes. This also allows the consumer to ask for quotes for a specific product of a specific company(s).

  • Array [
  • insuranceCompanyCode string

    Possible values: <= 15 characters

    This is to provide quotes from selected companies. This field is mandatory for typeOfQuote= 'Single Quote'

    productCode string[]

    Option for distributor to ask for quotes for specific products only. This field is mandatory for typeOfQuote= 'Single Quote'

  • ]
  • savingsProductType string[] required

    Possible values: [nonParticipating, Participating, ULIP]

    This field will help to filter savings products between participating, nonParticipating and ULIP. If no input is sent in this field, 1SB will respond with all products savings products available mentioned in insuranceAndProducts array

    planOption object required

    Possible values: <= 50 characters

    Plan option selected and its details.

    OptionSelected string

    ID of the Plan Option selected. This field is mandatory for typeOfQuote = 'Single Quote' if a plan exists for the product selected.

Responses

Consumer Response


Schema
    reqId string required

    Request Id for the quote assigned by 1SB

    errors object[]

    This array contains error messages in case of an error

  • Array [
  • errorCode string

    Possible values: <= 50 characters

    In case error occurs, the error code will be stored here

    errorDisplayMessage string

    Possible values: <= 100 characters

    In case error occurs, the error message will be stored here

    errorIdentifier string

    Possible values: <= 20 characters

    In case error occurs, the error message will be stored here

    errorMessage string

    Possible values: <= 100 characters

    In case error occurs, the error message will be stored here

    errorType string

    Possible values: <= 10 characters

    In case error occurs, the error message will be stored here

  • ]
  • data object required

    Section to carry quote responses

    Product object
    productType string

    Possible values: <= 30 characters

    This gives Line of Business of the product for which quote is generated.

    insuranceAndProducts object[]

    Section to hold details of insurance company and the product for which the following details are provided

  • Array [
  • insuranceCompanyCode string

    Possible values: <= 15 characters

    This code identifies the insurance company for which quote is given.

    productCode string[]

    This field carries the productCode of the product for which quote is generated.

  • ]
  • SubProductType object[]

    This gives Line of Business of the sub product for which quote is generated.

    planOption object

    Plan option selected and its details

    OptionSelected string

    Possible values: <= 50 characters

    ID of the Plan Option selected

    varFields object[]

    Other fields to be captured for plan option selected

  • Array [
  • fieldName string

    Possible values: <= 100 characters

    Additional fields for planOption section

    fieldValue string

    Possible values: <= 100 characters

    Value of additional fields

  • ]
  • fundDetails object

    fund details

Loading...